Subject: Re: [PATCH net 09/13] docs: netdev: make the testing requirement more stringent

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Mar 2022 10:51:48 -0700

On Sun, 27 Mar 2022 18:42:59 +0200 Andrew Lunn wrote:
> >  What level of testing is expected before I submit my change?
> >  ------------------------------------------------------------
> > -If your changes are against ``net-next``, the expectation is that you
> > -have tested by layering your changes on top of ``net-next``.  Ideally
> > -you will have done run-time testing specific to your change, but at a
> > -minimum, your changes should survive an ``allyesconfig`` and an
> > -``allmodconfig`` build without new warnings or failures.
> > +At the very minimum your changes must survive an ``allyesconfig`` and an
> > +``allmodconfig`` build with ``W=1`` set without new warnings or failures.  
> 
> Doesn't the patchwork buildbot also have C=1 ? You have been pointing
> out failures for C=1, so it probably should be documented here.

We have a number of cases where C=1 failures are false positives. 
Sparse is not getting much love these days, unfortunately.
I didn't want to force people to bend over backwards to fix stuff
we can let fly upstream. I can't think of a case where W=1 was okay.